{% if dovecot_strip_spam_rewrite %}
require ["copy", "imapsieve", "fileinto", "environment", "vnd.dovecot.execute", "variables", "regex", "editheader"];
{% else %}
require ["vnd.dovecot.pipe", "copy", "imapsieve", "environment", "variables"];
{% endif %}

if environment :matches "imap.mailbox" "*" {
  set "mailbox" "${1}";
}

if string "${mailbox}" "{{ dovecot_imap_root }}Trash" {
  stop;
}

if environment :matches "imap.user" "*" {
  set "username" "${1}";
}

{% if dovecot_strip_spam_rewrite %}
if header :regex "Subject"
	"{{ dovecot_spam_rewrite_regex }}" {
	addheader "Subject" "${1}";
}

if execute :pipe "learn-ham.sh" [ "${email}" ] {
	fileinto "${mailbox}";
	stop;
}
{% else %}
pipe :copy "learn-ham.sh" [ "${email}" ];
{% endif %}
